Package org.eclipse.emf.cdo.expressions.provider

## Class ExpressionsItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory
    - - org.eclipse.emf.cdo.expressions.provider.ExpressionsItemProviderAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`, `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`, `org.eclipse.emf.edit.provider.IChangeNotifier`, `org.eclipse.emf.edit.provider.IChildCreationExtender`, `org.eclipse.emf.edit.provider.IDisposable`

      public class ExpressionsItemProviderAdapterFactory
      extends ExpressionsAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

      `org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BooleanValueItemProvider` | `booleanValueItemProvider` | This keeps track of the one adapter used for all `BooleanValue` instances.
    `protected ByteValueItemProvider` | `byteValueItemProvider` | This keeps track of the one adapter used for all `ByteValue` instances.
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` | This is used to implement `IChangeNotifier`.
    `protected CharValueItemProvider` | `charValueItemProvider` | This keeps track of the one adapter used for all `CharValue` instances.
    `protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` | `childCreationExtenderManager` | This helps manage the child creation extenders.
    `protected ContainedObjectItemProvider` | `containedObjectItemProvider` | This keeps track of the one adapter used for all `ContainedObject` instances.
    `protected ContextAccessItemProvider` | `contextAccessItemProvider` | This keeps track of the one adapter used for all `ContextAccess` instances.
    `protected DoubleValueItemProvider` | `doubleValueItemProvider` | This keeps track of the one adapter used for all `DoubleValue` instances.
    `protected FloatValueItemProvider` | `floatValueItemProvider` | This keeps track of the one adapter used for all `FloatValue` instances.
    `protected FunctionInvocationItemProvider` | `functionInvocationItemProvider` | This keeps track of the one adapter used for all `FunctionInvocation` instances.
    `protected IntValueItemProvider` | `intValueItemProvider` | This keeps track of the one adapter used for all `IntValue` instances.
    `protected LinkedExpressionItemProvider` | `linkedExpressionItemProvider` | This keeps track of the one adapter used for all `LinkedExpression` instances.
    `protected LinkedObjectItemProvider` | `linkedObjectItemProvider` | This keeps track of the one adapter used for all `LinkedObject` instances.
    `protected ListConstructionItemProvider` | `listConstructionItemProvider` | This keeps track of the one adapter used for all `ListConstruction` instances.
    `protected LongValueItemProvider` | `longValueItemProvider` | This keeps track of the one adapter used for all `LongValue` instances.
    `protected MemberAccessItemProvider` | `memberAccessItemProvider` | This keeps track of the one adapter used for all `MemberAccess` instances.
    `protected MemberInvocationItemProvider` | `memberInvocationItemProvider` | This keeps track of the one adapter used for all `MemberInvocation` instances.
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` | This keeps track of the root adapter factory that delegates to this adapter factory.
    `protected ShortValueItemProvider` | `shortValueItemProvider` | This keeps track of the one adapter used for all `ShortValue` instances.
    `protected StaticAccessItemProvider` | `staticAccessItemProvider` | This keeps track of the one adapter used for all `StaticAccess` instances.
    `protected StringValueItemProvider` | `stringValueItemProvider` | This keeps track of the one adapter used for all `StringValue` instances.
    `protected java.util.Collection<java.lang.Object>` | `supportedTypes` | This keeps track of all the supported types checked by `isFactoryForType`.

    - ### Fields inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionsItemProviderAdapterFactory()` | This constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `adapt​(java.lang.Object object, java.lang.Object type)`
    `org.eclipse.emf.common.notify.Adapter` | `adapt​(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` | This implementation substitutes the factory itself as the key for the adapter.
    `void` | `addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` | This adds a listener.
    `org.eclipse.emf.common.notify.Adapter` | `createBooleanValueAdapter()` | This creates an adapter for a `BooleanValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createByteValueAdapter()` | This creates an adapter for a `ByteValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createCharValueAdapter()` | This creates an adapter for a `CharValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createContainedObjectAdapter()` | This creates an adapter for a `ContainedObject`.
    `org.eclipse.emf.common.notify.Adapter` | `createContextAccessAdapter()` | This creates an adapter for a `ContextAccess`.
    `org.eclipse.emf.common.notify.Adapter` | `createDoubleValueAdapter()` | This creates an adapter for a `DoubleValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createFloatValueAdapter()` | This creates an adapter for a `FloatValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createFunctionInvocationAdapter()` | This creates an adapter for a `FunctionInvocation`.
    `org.eclipse.emf.common.notify.Adapter` | `createIntValueAdapter()` | This creates an adapter for a `IntValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createLinkedExpressionAdapter()` | This creates an adapter for a `LinkedExpression`.
    `org.eclipse.emf.common.notify.Adapter` | `createLinkedObjectAdapter()` | This creates an adapter for a `LinkedObject`.
    `org.eclipse.emf.common.notify.Adapter` | `createListConstructionAdapter()` | This creates an adapter for a `ListConstruction`.
    `org.eclipse.emf.common.notify.Adapter` | `createLongValueAdapter()` | This creates an adapter for a `LongValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createMemberAccessAdapter()` | This creates an adapter for a `MemberAccess`.
    `org.eclipse.emf.common.notify.Adapter` | `createMemberInvocationAdapter()` | This creates an adapter for a `MemberInvocation`.
    `org.eclipse.emf.common.notify.Adapter` | `createShortValueAdapter()` | This creates an adapter for a `ShortValue`.
    `org.eclipse.emf.common.notify.Adapter` | `createStaticAccessAdapter()` | This creates an adapter for a `StaticAccess`.
    `org.eclipse.emf.common.notify.Adapter` | `createStringValueAdapter()` | This creates an adapter for a `StringValue`.
    `void` | `dispose()` | This disposes all of the item providers created by this factory.
    `void` | `fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)` | This delegates to `changeNotifier` and to `parentAdapterFactory`.
    `java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` | `getChildCreationExtenders()`
    `java.util.Collection<?>` | `getNewChildDescriptors​(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
    `org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` | This returns the root adapter factory that contains this factory.
    `boolean` | `isFactoryForType​(java.lang.Object type)`
    `void` | `removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` | This removes a listener.
    `void` | `setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` | This sets the composed adapter factory that contains this factory.

    - ### Methods inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory

      `createAccessAdapter, createAdapter, createEObjectAdapter, createExpressionAdapter, createInvocationAdapter, createValueAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.
      Generated

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.
      Generated

    - #### childCreationExtenderManager

          protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

      This helps manage the child creation extenders.
      Generated

    - #### supportedTypes

          protected java.util.Collection<java.lang.Object> supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.
      Generated

    - #### booleanValueItemProvider

          protected BooleanValueItemProvider booleanValueItemProvider

      This keeps track of the one adapter used for all `BooleanValue` instances.
      Generated

    - #### byteValueItemProvider

          protected ByteValueItemProvider byteValueItemProvider

      This keeps track of the one adapter used for all `ByteValue` instances.
      Generated

    - #### shortValueItemProvider

          protected ShortValueItemProvider shortValueItemProvider

      This keeps track of the one adapter used for all `ShortValue` instances.
      Generated

    - #### intValueItemProvider

          protected IntValueItemProvider intValueItemProvider

      This keeps track of the one adapter used for all `IntValue` instances.
      Generated

    - #### longValueItemProvider

          protected LongValueItemProvider longValueItemProvider

      This keeps track of the one adapter used for all `LongValue` instances.
      Generated

    - #### floatValueItemProvider

          protected FloatValueItemProvider floatValueItemProvider

      This keeps track of the one adapter used for all `FloatValue` instances.
      Generated

    - #### doubleValueItemProvider

          protected DoubleValueItemProvider doubleValueItemProvider

      This keeps track of the one adapter used for all `DoubleValue` instances.
      Generated

    - #### charValueItemProvider

          protected CharValueItemProvider charValueItemProvider

      This keeps track of the one adapter used for all `CharValue` instances.
      Generated

    - #### stringValueItemProvider

          protected StringValueItemProvider stringValueItemProvider

      This keeps track of the one adapter used for all `StringValue` instances.
      Generated

    - #### functionInvocationItemProvider

          protected FunctionInvocationItemProvider functionInvocationItemProvider

      This keeps track of the one adapter used for all `FunctionInvocation` instances.
      Generated

    - #### memberInvocationItemProvider

          protected MemberInvocationItemProvider memberInvocationItemProvider

      This keeps track of the one adapter used for all `MemberInvocation` instances.
      Generated

    - #### staticAccessItemProvider

          protected StaticAccessItemProvider staticAccessItemProvider

      This keeps track of the one adapter used for all `StaticAccess` instances.
      Generated

    - #### memberAccessItemProvider

          protected MemberAccessItemProvider memberAccessItemProvider

      This keeps track of the one adapter used for all `MemberAccess` instances.
      Generated

    - #### contextAccessItemProvider

          protected ContextAccessItemProvider contextAccessItemProvider

      This keeps track of the one adapter used for all `ContextAccess` instances.
      Generated

    - #### containedObjectItemProvider

          protected ContainedObjectItemProvider containedObjectItemProvider

      This keeps track of the one adapter used for all `ContainedObject` instances.
      Generated

    - #### linkedObjectItemProvider

          protected LinkedObjectItemProvider linkedObjectItemProvider

      This keeps track of the one adapter used for all `LinkedObject` instances.
      Generated

    - #### linkedExpressionItemProvider

          protected LinkedExpressionItemProvider linkedExpressionItemProvider

      This keeps track of the one adapter used for all `LinkedExpression` instances.
      Generated

    - #### listConstructionItemProvider

          protected ListConstructionItemProvider listConstructionItemProvider

      This keeps track of the one adapter used for all `ListConstruction` instances.
      Generated

  - ### Constructor Detail

    - #### ExpressionsItemProviderAdapterFactory

          public ExpressionsItemProviderAdapterFactory()

      This constructs an instance.
      Generated

  - ### Method Detail

    - #### createBooleanValueAdapter

          public org.eclipse.emf.common.notify.Adapter createBooleanValueAdapter()

      This creates an adapter for a `BooleanValue`.
      Overrides:
        `createBooleanValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `BooleanValue`
      Generated

    - #### createByteValueAdapter

          public org.eclipse.emf.common.notify.Adapter createByteValueAdapter()

      This creates an adapter for a `ByteValue`.
      Overrides:
        `createByteValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ByteValue`
      Generated

    - #### createShortValueAdapter

          public org.eclipse.emf.common.notify.Adapter createShortValueAdapter()

      This creates an adapter for a `ShortValue`.
      Overrides:
        `createShortValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ShortValue`
      Generated

    - #### createIntValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIntValueAdapter()

      This creates an adapter for a `IntValue`.
      Overrides:
        `createIntValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `IntValue`
      Generated

    - #### createLongValueAdapter

          public org.eclipse.emf.common.notify.Adapter createLongValueAdapter()

      This creates an adapter for a `LongValue`.
      Overrides:
        `createLongValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `LongValue`
      Generated

    - #### createFloatValueAdapter

          public org.eclipse.emf.common.notify.Adapter createFloatValueAdapter()

      This creates an adapter for a `FloatValue`.
      Overrides:
        `createFloatValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `FloatValue`
      Generated

    - #### createDoubleValueAdapter

          public org.eclipse.emf.common.notify.Adapter createDoubleValueAdapter()

      This creates an adapter for a `DoubleValue`.
      Overrides:
        `createDoubleValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DoubleValue`
      Generated

    - #### createCharValueAdapter

          public org.eclipse.emf.common.notify.Adapter createCharValueAdapter()

      This creates an adapter for a `CharValue`.
      Overrides:
        `createCharValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CharValue`
      Generated

    - #### createStringValueAdapter

          public org.eclipse.emf.common.notify.Adapter createStringValueAdapter()

      This creates an adapter for a `StringValue`.
      Overrides:
        `createStringValueAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `StringValue`
      Generated

    - #### createFunctionInvocationAdapter

          public org.eclipse.emf.common.notify.Adapter createFunctionInvocationAdapter()

      This creates an adapter for a `FunctionInvocation`.
      Overrides:
        `createFunctionInvocationAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `FunctionInvocation`
      Generated

    - #### createMemberInvocationAdapter

          public org.eclipse.emf.common.notify.Adapter createMemberInvocationAdapter()

      This creates an adapter for a `MemberInvocation`.
      Overrides:
        `createMemberInvocationAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `MemberInvocation`
      Generated

    - #### createStaticAccessAdapter

          public org.eclipse.emf.common.notify.Adapter createStaticAccessAdapter()

      This creates an adapter for a `StaticAccess`.
      Overrides:
        `createStaticAccessAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `StaticAccess`
      Generated

    - #### createMemberAccessAdapter

          public org.eclipse.emf.common.notify.Adapter createMemberAccessAdapter()

      This creates an adapter for a `MemberAccess`.
      Overrides:
        `createMemberAccessAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `MemberAccess`
      Generated

    - #### createContextAccessAdapter

          public org.eclipse.emf.common.notify.Adapter createContextAccessAdapter()

      This creates an adapter for a `ContextAccess`.
      Overrides:
        `createContextAccessAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ContextAccess`
      Generated

    - #### createContainedObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createContainedObjectAdapter()

      This creates an adapter for a `ContainedObject`.
      Overrides:
        `createContainedObjectAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ContainedObject`
      Generated

    - #### createLinkedObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createLinkedObjectAdapter()

      This creates an adapter for a `LinkedObject`.
      Overrides:
        `createLinkedObjectAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `LinkedObject`
      Generated

    - #### createLinkedExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createLinkedExpressionAdapter()

      This creates an adapter for a `LinkedExpression`.
      Overrides:
        `createLinkedExpressionAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `LinkedExpression`
      Generated

    - #### createListConstructionAdapter

          public org.eclipse.emf.common.notify.Adapter createListConstructionAdapter()

      This creates an adapter for a `ListConstruction`.
      Overrides:
        `createListConstructionAdapter` in class `ExpressionsAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ListConstruction`
      Generated

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
      Generated

    - #### setParentAdapterFactory

          public void setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
      Generated

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `ExpressionsAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt​(org.eclipse.emf.common.notify.Notifier notifier,
                                                             java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Generated

    - #### adapt

          public java.lang.Object adapt​(java.lang.Object object,
                                        java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Generated

    - #### getChildCreationExtenders

          public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

      Generated

    - #### getNewChildDescriptors

          public java.util.Collection<?> getNewChildDescriptors​(java.lang.Object object,
                                                                org.eclipse.emf.edit.domain.EditingDomain editingDomain)

      Specified by:
        `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
      Generated

    - #### getResourceLocator

          public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

      Specified by:
        `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
      Generated

    - #### addListener

          public void addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
      Generated

    - #### removeListener

          public void removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
      Generated

    - #### fireNotifyChanged

          public void fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
      Generated

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`
      Generated